# NBSite

**Build a sphinx-based website from notebooks**

```{warning}
NBSite is a tool supporting the developers of the [HoloViz](https://holoviz/org) project. As such it is tailored to their use case, workflow, and **breaking changes may occur at any time**. We suggest that before using NBSite you investigate alternatives such as [MyST-NB](https://myst-nb.readthedocs.io) or [nbsphinx](https://nbsphinx.readthedocs.io/). If you select NBSite anyway, we recommend that you pin its version.
```

Nbsite lets you build a website from a set of notebooks plus a minimal
amount of config. The idea behind NBSite is that notebooks can simultaneously be documentation (things you want to tell people about), examples (a starting point for people to run and use themselves), and test cases (see nbsmoke).

## Sites built with NBSite

Non exhaustive list of sites built with NBSite (as of November 2022):

- [Panel](https://panel.holoviz.org/)
- [hvPlot](https://hvplot.holoviz.org/)
- [HoloViews](https://holoviews.org/)
- [GeoViews](https://geoviews.org/)
- [Datashader](https://datashader.org/)
- [Lumen](https://lumen.holoviz.org/)
- [Colorcet](https://colorcet.holoviz.org/)
- [Param](https://param.holoviz.org/)
- [HoloViz.org](https://holoviz.org/)
- [examples.pyviz.org](https://examples.pyviz.org/)
- [PyViz.org](https://pyviz.org/)


```{toctree}
:hidden: true
:maxdepth: 2
:caption: FOR USERS

User Guide <user_guide/index>
PlayGround <playground/index>
```

```{toctree}
:hidden: true
:maxdepth: 2
:caption: FOR DEVELOPERS

Developers <development>
```
